Description

Supportanfrage

Die CMake Funktion adtf_create_plugindescription setzt ein folgendes Namensschema für einen ADTF Filter voraus

${TARGET_NAME}.adtfplugin

Im Problemfall hat das Binary ein Suffix für Debug: ${TARGET_NAME}-d.adtfplugin.

Resultat: Die generierte ${TARGET_NAME}.plugindescription kann im adtf_configuration_editor nicht mit dem adtfplugin assoziiert

werden.

Hat das einen Grund das nur der "Filtername", aber nicht das Postsuffix als TARGET_NAME verwendet wird? Sprich wenn man die

debug version im selber Verzeichnis haben möchte wie die release version?

Danke und Grüße,

Anja

Anja Winkler

EB Assist ADTF Support-Team

Lösung

ADTF verfolgt bei Plugins nicht Aufteilung via d-Postfix, sondern seit jeher mit einen debug Unterordner, siehe ADTF Delivery und

Toolboxen.

Entsprechend funktioniert auch das CMake Makro zur Generierung der Plugin Description.

Ein d-Postfix macht auch nur bei Libraries und Applikationen Sinn, was adtfplugins betrifft ist das wie gesagt anders definiert und

somit auch die Anforderung an das Generieren der Plugin Description.

History

#1 - 2020-02-17 14:36 - hidden

- Project changed from Public Support to 7

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::PluginDescription

- Resolution set to Not Supported Scope

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.6.2 added

Hallo Anja,

ADTF verfolgt bei Plugins nicht Aufteilung via d-Postfix, sondern seit jeher mit einen debug Unterordner, siehe ADTF Delivery und Toolboxen.

Entsprechend funktioniert auch das CMake Makro zur Generierung der Plugin Description.

Ein d-Postfix macht auch nur bei Libraries und Applikationen Sinn, was adtfplugins betrifft ist das wie gesagt anders definiert und somit auch die

Anforderung an das Generieren der Plugin Description.
#2 - 2020-03-03 10:39 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-6240 [EB internal] ADTF 3.6.2 ADTFMacros.cmake: adtf_create_plugindescription to

EBPRODUCTSUPPORT-6240 adtf_create_plugindescription CMakro does not set a debug postfix

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#3 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
